ScanEnv Struct Reference

`#include <regparse.h>`

## Data Fields

OnigOptionType | option
OnigCaseFoldType | case_fold_flag
OnigEncoding | enc
const OnigSyntaxType * | syntax
BitStatusType | capture_history
BitStatusType | bt_mem_start
BitStatusType | bt_mem_end
BitStatusType | backrefed_mem
UChar * | pattern
UChar * | pattern_end
UChar * | error
UChar * | error_end
regex_t * | reg
int | num_call
UnsetAddrList * | unset_addr_list
int | num_mem
int | num_named
int | mem_alloc
Node * | mem_nodes_static [SCANENV_MEMNODES_SIZE]
Node ** | mem_nodes_dynamic
int | warnings_flag
const char * | sourcefile
int | sourceline

## Detailed Description

Definition at line 282 of file regparse.h.

## Field Documentation

BitStatusType ScanEnv::backrefed_mem

Definition at line 290 of file regparse.h.

Referenced by onig_compile(), optimize_node_left(), scan_env_clear(), and setup_tree().

BitStatusType ScanEnv::bt_mem_end

Definition at line 289 of file regparse.h.

Referenced by onig_compile(), scan_env_clear(), and setup_tree().

BitStatusType ScanEnv::bt_mem_start

Definition at line 288 of file regparse.h.

Referenced by onig_compile(), scan_env_clear(), and setup_tree().

BitStatusType ScanEnv::capture_history

Definition at line 287 of file regparse.h.

Referenced by onig_compile(), parse_enclose(), and scan_env_clear().

OnigCaseFoldType ScanEnv::case_fold_flag

Definition at line 284 of file regparse.h.

Referenced by onig_parse_make_tree(), and parse_exp().

OnigEncoding ScanEnv::enc

Definition at line 285 of file regparse.h.

Referenced by add_ctype_to_cc(), and_cclass(), code_exist_check(), fetch_char_property_to_ctype(), fetch_escaped_value(), fetch_name(), fetch_name_with_level(), fetch_range_quantifier(), fetch_token(), fetch_token_in_cc(), get_max_match_length(), i_apply_case_fold(), onig_compile(), onig_parse_make_tree(), onig_syntax_warn(), or_cclass(), parse_char_class(), parse_enclose(), parse_exp(), parse_posix_bracket(), and set_quantifier().

UChar* ScanEnv::error

Definition at line 293 of file regparse.h.

Referenced by onig_compile(), onig_scan_env_set_error_string(), and scan_env_clear().

UChar* ScanEnv::error_end

Definition at line 294 of file regparse.h.

Referenced by onig_compile(), onig_scan_env_set_error_string(), and scan_env_clear().

int ScanEnv::mem_alloc

Definition at line 304 of file regparse.h.

Referenced by scan_env_add_mem_entry(), and scan_env_clear().

Node** ScanEnv::mem_nodes_dynamic

Definition at line 306 of file regparse.h.

Referenced by onig_compile(), scan_env_add_mem_entry(), and scan_env_clear().

Node* ScanEnv::mem_nodes_static[SCANENV_MEMNODES_SIZE]

Definition at line 305 of file regparse.h.

Referenced by scan_env_add_mem_entry(), and scan_env_clear().

int ScanEnv::num_call

Definition at line 296 of file regparse.h.

Referenced by onig_compile(), and scan_env_clear().

int ScanEnv::num_mem

Definition at line 300 of file regparse.h.

Referenced by fetch_token(), get_max_match_length(), get_min_match_length(), onig_compile(), onig_parse_make_tree(), scan_env_add_mem_entry(), scan_env_clear(), scan_env_set_mem_node(), and setup_tree().

int ScanEnv::num_named

Definition at line 302 of file regparse.h.

Referenced by onig_compile(), parse_enclose(), and scan_env_clear().

OnigOptionType ScanEnv::option

Definition at line 283 of file regparse.h.

Referenced by fetch_token(), onig_parse_make_tree(), parse_enclose(), and parse_exp().

UChar* ScanEnv::pattern

Definition at line 291 of file regparse.h.

Referenced by fetch_token(), onig_parse_make_tree(), onig_syntax_warn(), and set_quantifier().

UChar* ScanEnv::pattern_end

Definition at line 292 of file regparse.h.

Referenced by onig_parse_make_tree(), onig_syntax_warn(), parse_char_class(), and set_quantifier().

regex_t* ScanEnv::reg

Definition at line 295 of file regparse.h.

Referenced by fetch_token(), onig_parse_make_tree(), and parse_enclose().

const char* ScanEnv::sourcefile

Definition at line 314 of file regparse.h.

Referenced by onig_compile(), and onig_syntax_warn().

int ScanEnv::sourceline

Definition at line 315 of file regparse.h.

Referenced by onig_compile(), and onig_syntax_warn().

const OnigSyntaxType* ScanEnv::syntax

Definition at line 286 of file regparse.h.

Referenced by add_code_range0(), CC_ESC_WARN(), code_exist_check(), conv_backslash_value(), fetch_escaped_value(), fetch_range_quantifier(), fetch_token(), fetch_token_in_cc(), name_add(), next_state_val(), onig_compile(), onig_parse_make_tree(), parse_char_class(), parse_enclose(), parse_exp(), set_quantifier(), and setup_look_behind().

UnsetAddrList* ScanEnv::unset_addr_list

Definition at line 298 of file regparse.h.

Referenced by onig_compile().

int ScanEnv::warnings_flag

Definition at line 313 of file regparse.h.

Referenced by scan_env_clear().

The documentation for this struct was generated from the following file:

- regparse.h